.footer {
    padding-top: 52px;
    padding-bottom: 66px;
    background-color: #11072C;
    font-family: $font-root;
    color: white;
    overflow: hidden;

    @include xs {
        padding-top: 40px;
        padding-bottom: 25px;
    }

    &::before,
    &::after {
        content: "";
        position: absolute;
        width: 490px;
        height: 100%;
        background-image: url(../img/ui/footer-dots.png);
        background-repeat: no-repeat;
        background-size: cover;
        opacity: 0.3;
        z-index: 1;
    }

    &::before {
        left: 0;
        top: 0;
        transform: rotate(180deg);
    }

    &::after {
        right: 0;
        top: 0;
    }

    &__decorate {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-image: linear-gradient(100deg, transparent 0%, $lg-finish-color 40%, $lg-finish-color, $lg-finish-color 60%, transparent 100%);
        z-index: 2;
    }

    .container {
        z-index: 3;
    }

    a:not(.button) {
        color: white;
    }

    ul {
        list-style: none;
    }

    &__top {
        display: flex;
        margin-bottom: 33px;
        @include xs {
            display: block;
            text-align: center;
        }
    }

    &__logo {
        @include sm {
            text-align: center;
            a {
                margin: 0px auto;
                height: 40px;
                width: 180px;
            }
        }
        @include xs {

        }
        &::before {
            top: 24px;
            @include sm {
                display: none;
            }
        }

        &-ico {
            // width: 231px;
            // height: 50px;
            // background-image: url(../img/ui/logo-footer.png);
        }
    }

    &__phones {
        align-self: center;
        margin-top: 8px;
        display: flex;
        flex-wrap: wrap;
        justify-content: flex-end;
        max-width: 460px;
        font-size: 0;

        @include sm {
            text-align: center;
            margin: 10px 0px 0px;
            margin-right: 15px;
            display: block;
            max-width: 100%;
        }

        @include xs {
            display: inline-block;
            vertical-align: top;
        }

        li {
            display: inline-block;
            margin-top: 5px;
            margin-bottom: 5px;
            &:not(:first-child) {
                margin-left: 30px;
                @include sm {
                    margin-left: 0px;
                }
            }

            @include sm {
                display: block;
            }
        }

        a {
            display: inline-block;
            font-size: 14px;
            font-weight: 500;
            line-height: (18/14);
        }
    }

    &__buttons {
        align-self: center;
        display: flex;
        flex-wrap: wrap;
        justify-content: flex-end;
        margin-left: 29px;

        @include sm {
            display: inline-block;
            margin: 8px 0 0;
            // margin-left: 15px;
        }

        @include xs {
            margin-top: 16px;
            // margin-left: 0;
        }

        .button {
            margin-top: 8px;
            margin-left: 10px;
            padding-left: 35px;
            padding-right: 35px;
            @include sm {
                margin: 0px;
            }
            @include xs {
                padding-left: 15px;
                padding-right: 15px;
                border: none;
            }
        }
    }

    &__main {
        @extend .row;
        justify-content: space-between;
        margin-bottom: 25px;
        font-weight: 500;
    }

    &__menu {
        @extend .col-xl-8, .col-lg-8, .col-md-7, .col-12;
        font-size: 16px;
        line-height: (30/16);
        column-count: 4;
        @include lg {
            column-count: 3;
        }
        @include md {
            column-count: 2;
        }
        @include sm {
            column-count: 3;
            font-size: 14px;
            border-top: 1px solid rgba(255,255,255,.3);
            border-bottom: 1px solid rgba(255,255,255,.3);
            padding-top: 20px;
            padding-bottom: 20px;
            margin-bottom: 30px;
        }
        @include xs {
            column-count: 2;
        }
        @include xxs {
            font-size: 12px;
        }
    }

    &__socials {
        @extend .col-lg-4, .col-md-5, .col-12;
        align-self: flex-end;
        font-size: 16px;
        line-height: (30/16);
        text-align: right;

        @include lg {
            align-self: flex-start;
        }
        @include sm {
            text-align: left;
        }

        ul {
            display: flex;
            justify-content: flex-end;
            flex-wrap: wrap;
            margin-top: 10px;
            margin-bottom: -12px;
            @include sm {
                margin-bottom: 0px;
                justify-content: flex-start;
            }
        }

        li {
            line-height: 1em;
            margin-left: 19px;
            margin-bottom: 15px;
            @include sm {
                margin-left: 0px;
                margin-right: 15px;
            }
        }

        a {
            display: inline-block;
            @include hide-text;
            background-repeat: no-repeat;
            width: 30px;
            height: 30px;
        }
    }

    &__pattents,
    &__terms {
        margin-top: 25px;
        font-size: 14px;
        line-height: (22/14);
        @include sm {
            font-size: 13px;
        }
    }

    &__pattents {
        @extend .col-md-6, .col-sm-7, .col-12;
        opacity: 0.53;

        li {
             display: inline-block;
             margin-right: 3px;
        }
    }

    &__terms {
        @extend .col-md-6, .col-sm-5, .col-12;
        text-align: right;
        @include xs {
            text-align: left;
        }
    }

    &__bottom {
        display: flex;
        justify-content: space-between;
        font-size: 12px;
        line-height: (25/12);
        @include xs {
            display: block;
        }
    }

    &__copyright-right > a {
        text-decoration: underline;

        &:hover,
        &:focus {
            text-decoration: none;
        }
    }
}